# MCS_ConnectMCSPDU Class Reference

`#include <mcs.h>`

List of all members.

## Public Types

enum | Choices { e_connect_initial = 101, e_connect_response, e_connect_additional, e_connect_result }

## Public Member Functions

| MCS_ConnectMCSPDU (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator MCS_Connect_Initial & ()
| operator const MCS_Connect_Initial & () const
| operator MCS_Connect_Response & ()
| operator const MCS_Connect_Response & () const
| operator MCS_Connect_Additional & ()
| operator const MCS_Connect_Additional & () const
| operator MCS_Connect_Result & ()
| operator const MCS_Connect_Result & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum MCS_ConnectMCSPDU::Choices

Enumerator:

  e_connect_initial |
  e_connect_response |
  e_connect_additional |
  e_connect_result |

## Constructor & Destructor Documentation

MCS_ConnectMCSPDU::MCS_ConnectMCSPDU | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

MCS_ConnectMCSPDU::operator MCS_Connect_Initial & | ( |  | ) |

MCS_ConnectMCSPDU::operator const MCS_Connect_Initial & | ( |  | ) | const

MCS_ConnectMCSPDU::operator MCS_Connect_Response & | ( |  | ) |

MCS_ConnectMCSPDU::operator const MCS_Connect_Response & | ( |  | ) | const

MCS_ConnectMCSPDU::operator MCS_Connect_Additional & | ( |  | ) |

MCS_ConnectMCSPDU::operator const MCS_Connect_Additional & | ( |  | ) | const

MCS_ConnectMCSPDU::operator MCS_Connect_Result & | ( |  | ) |

MCS_ConnectMCSPDU::operator const MCS_Connect_Result & | ( |  | ) | const

PBoolean MCS_ConnectMCSPDU::CreateObject | ( |  | ) |

PObject* MCS_ConnectMCSPDU::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- mcs.h